package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.TestddRepository;
import com.realnet.basicp1.Entity.Testdd
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






import com.realnet.basicp1.Entity.Country;
import com.realnet.basicp1.Services.CountryService;





	import org.springframework.stereotype.Service;

@Service
 public class TestddService {
@Autowired
private TestddRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





@Autowired
	private CountryService contryserv;



public Testdd Savedata(Testdd data) {







 
if (data.getContry() != null) {
		try {	
  int contryId = Integer.valueOf(data.getContry());
Country get =  contryserv.getdetailsbyId(contryId);
			if (get != null) {

			data.setContryname(get.getCountry_name());
}
} catch (NumberFormatException e) {
				System.out.println(" contryId is not integer..");
				// Invalid integer string — ignore or log
			}

		}

 




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Testdd save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Testdd> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Testdd> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Testdd> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Testdd getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Testdd update(Testdd data,Integer id) {
	Testdd old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

old.setActive (data.isActive());

old.setContry(data.getContry());

old.setState(data.getState());




final Testdd test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 










 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
